<< Androidのスマフォを入手しました | top |

flutter doctor のwarningがうまく取れない

JUGEMテーマ:コンピュータ

 

気が付くと、かなり長いこと投稿していないようで・・・・

 

さて、flutterを使ってみようかと思い立ち、古いflutterを一度削除して再インストールしてみたものの

なかなかうまくいかなかった話です。

小ネタかな。

 

flutterをインストールし、以下のコマンドでチェックしてみました。

>flutter doctor

 

色んな開発環境が古くなっていたり、削除したりしていたので軒並み警告がでたのですが

大概は環境を新しくしたらクリアできました。

 

ただ、以下だけ少し手こずりましたので、今後のために記録しておきたいと思います。

Android toolchain - develop for Android devices (Android SDK version 30.0.1)
    X Android license status unknown.

 

Android SDKを、警告のバージョンにしてみても改善せず、ググってみると、どうやらライセンスがうまく読み込めていないとのこと。

 

このように、以下のようなコマンドでよいとのこと。

flutter doctor --android-licenses

 

しかし、javaコマンドのエラーが出てしまいます。

Javaについては、1.8が必要らしく、確かに私の環境のJavaはもっと新しかったので、1.8をインストールしました。

java -versionで、1.8になっていることを確認して再実行するものの、状況は変わらず。

 

参考にした記事では、これで解決するはずなのですが・・・

 

結局、1.8のjavaコマンドが実行できるだけではダメなようで、私の環境では環境変数JAVA_HOMEの設定を

1.8の設定に変更することで成功するようになりました。

他のアプリに影響するといやなので、変更したくはなかったのですが・・・・

 

これでめでたく、flutter doctor --android-licenses が成功し、flutter doctorも成功するようになりましたとさ。

 

 

いいやん | Android | 18:21 | comments(0) | - | - | - |
Comment










10
--
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
--
>>
<<
--
スポンサード
RECOMMEND
WEB+DB PRESS Vol.104
WEB+DB PRESS Vol.104 (JUGEMレビュー »)
末田 卓巳,林田 千瑛,陶山 嶺,八谷 賢,辰己 佳祐,竹澤 俊季,服部 智,藤岡 裕吾,牧 大輔,西郡 卓矢,松木 雅幸,穴井 宏幸,新 日出海,桑原 仁雄,小田 知央,ひげぽん,池田 拓司,はまちや2,竹原,大場 光一郎,大場 寧子,松館 大輝,日高 尚美,Vu Xuan Dung
pythonって、今一番熱い言語かもしれませんね。
RECOMMEND
プログラミングAndroid
プログラミングAndroid (JUGEMレビュー »)
Zigurd Mednieks,Laird Dornin,G. Blake Meike,Masumi Nakamura
オライリーなら間違いないかも・・・
RECOMMEND
Java言語プログラミングレッスン 第3版(上)
Java言語プログラミングレッスン 第3版(上) (JUGEMレビュー »)
結城 浩
この作者の本はお勧めです。初心者を見下すような記述がありません。
RECENT COMMENT
RECENT TRACKBACK
MOBILE
qrcode
OTHERS
CLOCK
売れ筋
LATEST ENTRY
CATEGORY
ARCHIVE
LINKS
PROFILE
SEARCH